=== debian/control ===
Source: ros-indigo-rail-recognition
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2
Homepage: http://ros.org/wiki/rail_recognition
Standards-Version: 3.9.2

Package: ros-indigo-rail-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2
Description: Construction and Use of a Recognition Database for Grasping Purposes
